VirtueMart

WooCommerce

Others

Docs

Support

Blog

About

Shipping by Rules for VirtueMart

IMPORTANT ANNOUNCEMENT: Plugin development ceased, all plugins made available freely (GPL)

With great sadness we have to announce that we are ceasing development of all our VirtueMart, WooCommerce and Joomla plugins. Effective immediately, all our plugins -- even those that were paid downloads -- are made available for free from our homepage (GPL license still applies), but we cannot and will not provide any support anymore.

It has been a great pleasure to be part of the thriving development communities of VirtueMart as well as WooCommerce. However, during the last year it became painstakingly clear that in addition to a full-time job, a young family and several other time-consuming hobbies at professional level (like being a professional singer) the plugin development and the support that it requires is not sustainable and is taking its toll. It has been an honor, but it is now time to say good bye!

Welcome, Guest
Username: Password: Remember me
  • Page:
  • 1

TOPIC: [SOLVED] Upgrade to 5.4

Upgrade to 5.4 14 Feb 2017 12:21 #1

  • artfener
  • artfener's Avatar Topic Author
  • Offline
  • Posts: 14
Hi, I'm planning to upgrade from VM 2.6 to VM 3.0.18. can I Install Advanced Shipping rules 5.4 on VM 3.0.18 and than import shipping rules from Advanced Shipping rules 4.1?

Kind regards
Daniele

Please Log in or Create an account to join the conversation.

Upgrade to 5.4 18 Feb 2017 20:41 #2

Dear Daniele,
There is no import mechanism available to automatically import all rules/rulesets from another installation, i.e. a migration is currently not implemented, if that is what you are planning to do.
On the other hand, if you simply update VM through Joomla (rather than installing from scratch and copying data over), then all rules should be preserved and you can simply also upgrade the shipping plugin (if required at all).

Best regards,
Reinhold

Please Log in or Create an account to join the conversation.

Upgrade to 5.4 20 Feb 2017 10:23 #3

  • artfener
  • artfener's Avatar Topic Author
  • Offline
  • Posts: 14
Thanks for your kind answer Reinhold, I need also to upgrade Joomla from 2.5.28 to 3.6.5, does this will affect in any way the Advanced Shipping rules currently on version. 4.1?

Kind regards
Daniele

Please Log in or Create an account to join the conversation.

Upgrade to 5.4 04 Mar 2017 12:21 #4

Dear Daniele,
If you upgrade Joomla and VirtueMart in place, then the configuration should be preserved. As always, make sure you have backups to quickly restore your page in case something goes wrong during the upgrade process.
In particular, I had some Jomla 2.x sites that I wanted to upgrade to 3.x, which needed even some manual database repair, because some of the Joomla core plugins were removed (banners, etc.), but the upgrade process expected them to be present.

However, our plugin should work exactly the same in J2 and J3 (support for all Joomla versions is included in the same plugin version), and the configuration should be preserved.

Best regards,
Reinhold

Please Log in or Create an account to join the conversation.

Upgrade to 5.4 06 Mar 2017 09:16 #5

  • artfener
  • artfener's Avatar Topic Author
  • Offline
  • Posts: 14
Thanks for your kind answer Reinhold, I will take care of your advice!

Kind regards
Daniele

Please Log in or Create an account to join the conversation.

[SOLVED] Upgrade to 5.4 12 Mar 2017 17:26 #6

Problem solved.

Please Log in or Create an account to join the conversation.

  • Page:
  • 1

VM - Shopping cart

 x 

Cart empty

Login Formular